CREATE OR REPLACE FUNCTION try_cast(_in text, INOUT _out ANYELEMENT)
  LANGUAGE plpgsql IMMUTABLE AS
$func$
BEGIN
   EXECUTE format('SELECT %L::%s', $1, pg_typeof(_out))
   INTO  _out;
EXCEPTION WHEN others THEN
   -- do nothing: _out already carries default
END
$func$;

CREATE OR REPLACE FUNCTION try_cast(_in timestamp, INOUT _out ANYELEMENT)
  LANGUAGE plpgsql IMMUTABLE AS
$func$
BEGIN
   EXECUTE format('SELECT %L::%s', $1, pg_typeof(_out))
   INTO  _out;
EXCEPTION WHEN others THEN
   -- do nothing: _out already carries default
END
$func$;

CREATE OR REPLACE FUNCTION try_cast(_in int, INOUT _out ANYELEMENT)
  LANGUAGE plpgsql IMMUTABLE AS
$func$
BEGIN
   EXECUTE format('SELECT %L::%s', $1, pg_typeof(_out))
   INTO  _out;
EXCEPTION WHEN others THEN
   -- do nothing: _out already carries default
END
$func$;

CREATE OR REPLACE FUNCTION try_cast(_in numeric, INOUT _out ANYELEMENT)
  LANGUAGE plpgsql IMMUTABLE AS
$func$
BEGIN
   EXECUTE format('SELECT %L::%s', $1, pg_typeof(_out))
   INTO  _out;
EXCEPTION WHEN others THEN
   -- do nothing: _out already carries default
END
$func$;

CREATE OR REPLACE FUNCTION try_cast(_in bit, INOUT _out ANYELEMENT)
  LANGUAGE plpgsql IMMUTABLE AS
$func$
BEGIN
   EXECUTE format('SELECT %L::%s', $1, pg_typeof(_out))
   INTO  _out;
EXCEPTION WHEN others THEN
   -- do nothing: _out already carries default
END
$func$;

CREATE OR REPLACE FUNCTION try_cast(_in uuid, INOUT _out ANYELEMENT)
  LANGUAGE plpgsql IMMUTABLE AS
$func$
BEGIN
   EXECUTE format('SELECT %L::%s', $1, pg_typeof(_out))
   INTO  _out;
EXCEPTION WHEN others THEN
   -- do nothing: _out already carries default
END
$func$;